<?php
//module_hasard
//ne pas modifier la ligne au dessus !!
########################################################################################
# Hasard Version 3.2 - [08/04/2024]                                                    #
# Module pour AdHoc CMS   Développé par JeanDenis                                      #
# Site Web : https://adhoc.71site.fr/                                                  #
# D'après modules réalisés par Penanders https://www.cmsadhoc.net/                     #
# Accompagné nécessairement d'un fork du script modules/boxes/lateral.inc du CMS adHoc #
# Licence : GNU-GPL V3                                                                 #
########################################################################################

// Importation des variables
	$idlg = USER_LANG;
	$cfg_hasard = ReadCSVPairs(PATH_DAT."hasard/config".DBEXT); // lecture fichier de configuration du module config.dtb

	$hasmessage = $cfg_hasard['message_'.$idlg]; // libellé titre

	$hasafftitre = $cfg_hasard['afftitre']; // afficher le titre
	$titrealign = $cfg_hasard['titrealign']; // alignement du titre
	$titrehn = $cfg_hasard['titrehn']; // balise hiérarchique titre
	$titresize = $cfg_hasard['titresize']; // taille caractères du titre
	if ($titresize == 'inherit') {$sizetitre = '';} else {$sizetitre = 'font-size:'.$titresize.';';}
	$titrecolor = $cfg_hasard['titrecolor']; // couleur du titre
	if ($titrecolor == 'inherit') {$couleurtitre = '';} else {$couleurtitre = 'color:'.$titrecolor.';';}
	$titremarg = $cfg_hasard['titremarg']; // margin-top du titre
	$hasstylesup0 = 'style="text-align:'.$titrealign.';'.$sizetitre.'margin-top:'.$titremarg.'px;font-weight: bold;'.$couleurtitre.'"'; // style du titre

	$hasaffcat = $cfg_hasard['affcat']; // afficher les noms de catégories
	$haslignecat_art = $cfg_hasard['lignecatart']; // afficher ensemble (catégorie / article) sur la même ligne
	$catartalign = $cfg_hasard['catartalign']; // alignement bloc (catégorie / article)
	$catarthn = $cfg_hasard['catarthn']; // balise hiérarchique bloc (catégorie / article)
	$catartmarg = $cfg_hasard['catartmarg']; // margin-top du bloc (catégorie / article)
	$hasstylesup1 = 'style="text-align:'.$catartalign.';margin-top:'.$catartmarg.'px;"'; // style du bloc (catégorie / article)

	$catpad = $cfg_hasard['catpad']; // padding latéral catégorie
	$catsize = $cfg_hasard['catsize']; // taille caractères catégorie
	if ($catsize == 'inherit') {$sizecat = '';} else {$sizecat = 'font-size:'.$catsize.';';}
	$catcolor = $cfg_hasard['catcolor']; // couleur caractères catégorie
	if ($catcolor == 'inherit') {$couleurcat = '';} else {$couleurcat = 'color:'.$catcolor.';';}
	$hasstylesup2 = 'style="padding: 0 '.$catpad.'px;'.$sizecat.'font-weight: bold;'.$couleurcat.'"'; // style catégorie

	$hasciblelien = 'target="'.$cfg_hasard['cible'].'"'; // cible du lien de la page

	$arthn = $cfg_hasard['arthn']; // balise hiérarchique article
	$artpad = $cfg_hasard['artpad']; // padding latéral article
	$artsize = $cfg_hasard['artsize']; // taille caractère article
	if ($artsize == 'inherit') {$sizeart = '';} else {$sizeart = 'font-size:'.$artsize.';';}
	$hasstylesup3 = 'style="padding: 0 '.$artpad.'px;'.$sizeart.'font-weight: bold;"'; // style article
	$hasstylesup4 = 'style="text-align:'.$catartalign.';"'; // style pour article sur ligne séparée

	$hasinfonewup = $cfg_hasard['infonewup']; // marquer les nouveautés ou mises à jour
	$hasnewup = $cfg_hasard['newup']; // nouveautés ou mises à jour texte ou image
	$newupfloat = $cfg_hasard['newupfloat']; // position info nouveautés ou mises à jour
	$newcolor = $cfg_hasard['newcolor']; // couleur texte nouveau
	if ($newcolor == 'inherit') {$couleurnew = '';} else {$couleurnew = 'color:'.$newcolor.';';}
	$upcolor = $cfg_hasard['upcolor']; // couleur texte maj-upd
	if ($upcolor == 'inherit') {$couleurup = '';} else {$couleurup = 'color:'.$upcolor.';';}
	$hasstylesupnew = 'style="float:'.$newupfloat.';'.$couleurnew.'"'; // style texte new
	$hasstylesupupd = 'style="float:'.$newupfloat.';'.$couleurup.'"'; // style texte upd
	$hasimageNew = $cfg_hasard['newimage']; // image new
	$hasimageUpdate = $cfg_hasard['upimage']; // image upd

	$catinterdite = array(); 
		for ($i=0;$i<20;$i++) {
			$catinterdite[$i] = $cfg_hasard['numcat'.$i]; // Id catégories à supprimer du choix
		}

	$haspagesexclues = array(); 
		for ($i=1;$i<5;$i++) {
			$haspagesexclues[$i] = $cfg_hasard['numpage'.$i]; // Id pages à supprimer du choix
		}

include(PATH_DAT."boxes/special/codehasard.php"); 

?>


